# Gimp.Item.get_by_id

    @accepts(gint32)
    @returns(Gimp.Item)
    def get_by_id(item_id):
        # Python wrapper for gimp_item_get_by_id()

Returns a Gimp.Item representing item_id. Since Gimp.Item is an abstract class, the real object type will actually be the proper subclass.

Note: in most use cases, you should not need to retrieve a Gimp.Item by its ID, which is mostly internal data and not reusable across sessions. Use the appropriate functions for your use case instead.

Since 3.0

item_id

  The item id.

Returns